﻿// Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
// for details on configuring this project to bundle and minify static web assets.

// Write your JavaScript code.

function DeleteMany(sender) {
    var items = "";
    $(".mainTable Input[type=checkbox]").each(function (index, val) {

        if ($(val).attr("name") === "ids") {
            var isChecked = $(val).prop('checked');
            if (isChecked) {
                var value = $(val).attr("value");
                if (items.length > 0)
                    items += ",";
                items += value;
            }
        }
    });
    if (items.length === 0) {

        bootbox.alert({
            size: "small",
            message: "Proszę zaznaczyć rekordy do usunięcia."
        });
        return false;
    }
    var href = sender.href + "&ids=" + items;
    window.location = href;
    return false;
}
function GetConnectionString(server, name, windowsAuth, username, password, extraProperties, db) {
    var connectionString = "";

    server = server === null ? "" : server.trim();
    name = name === null ? "" : name.trim();
    username = username === null ? "" : username.trim();
    password = password === null ? "" : password.trim();
    extraProperties = extraProperties === null ? "" : extraProperties.trim();
    db = parseInt(db === null ? "" : db.trim(), 10);

    if (db === 1) { //sqlserver
        connectionString += "Server=" + server.trim() + ";";
        connectionString += "Database=" + name.trim() + ";";
        if (windowsAuth) {
            connectionString += "Integrated Security=SSPI;";
        } else {
            if (username.length > 0)
                connectionString += "User Id=" + username.trim() + ";";
            if (password.length > 0)
                connectionString += "password=" + password.trim() + ";";
        }
        if (extraProperties.length > 0)
            connectionString += extraProperties + ";";
    } else if (db === 2) {  //firebird
        connectionString += "DataSource=" + server.trim() + ";";
        connectionString += "Database=" + name.trim() + ";";
        if (username.length > 0)
            connectionString += "User=" + username.trim() + ";";
        if (password.length > 0)
            connectionString += "password=" + password.trim() + ";";
        if (extraProperties.length > 0)
            connectionString += extraProperties + ";";
    }
    return connectionString;
}
function ShowAlert(message) {
    bootbox.alert({
        size: "small",
        closeButton: false,
        message: message

    });
}

function CheckField(name) {
    let field = document.getElementById(name);
    if (field !== null) {
        let title = field.title;
        let v = field.value;
        let min = field.minLength;
        let max = field.maxLength;
        if (min !== null && v.length > 0 && v.length < min) {
            ShowAlert("Minimalna długość znaków w polu <b>" + title + "</b> to " + min + ".");
            return false;
        }
        if (max !== null && v.length > max) {
            ShowAlert("Maksymalna długość znaków w polu <b>" + title + "</b> to " + max + ".");
            return false;
        }
    }
    return true;
}
